{
  "name": "twelve-heroes",
  "version": "1.0.0",
  "description": "twelve heroes game",
  "keywords": [
    "ecosystem:cordova"
  ],
  "scripts": {
    "dev": "DEV=true webpack --watch",
    "start": "npm-run-all --parallel dev lint:watch",
    "server-dev": "cd server && npm run server-dev",
    "dev-all": "npm-run-all --parallel server-dev dev lint:watch",
    "build-web-app": "WEB=true webpack --mode=production",
    "appserver": "node app-server/app-server.js",
    "server": "cd server && npm start",
    "dev-cordova": "DEV=true CORDOVA=true webpack",
    "postdev-cordova": "cordova prepare",
    "build-cordova": "CORDOVA=true webpack --mode=production",
    "postbuild-cordova": "cordova prepare",
    "cordova-browser": "cordova run browser",
    "win-build": "cordova build windows --win",
    "preandroid-build": "set ORG_GRADLE_PROJECT_cdvMinSdkVersion=20 ",
    "android-build": "cordova build android",
    "win": "cordova run windows --win",
    "android": "cordova run android --emulator",
    "lint": "esw webpack.config.* src --color",
    "lint:watch": "npm run lint -- --watch",
    "lint-server": "esw server* --color",
    "lint-server:watch": "npm run lint-server -- --watch",
    "localtunnel": "lt --port 3000",
    "share": "npm-run-all --parallel open:src localtunnel",
    "test": "mocha --reporter progress \"src/**/*.test.js\"",
    "test:watch": "npm run test -- --watch",
    "clean": "rm -rf platforms plugins webpack www/dist www/index.html www/assets",
    "export": "export PATH=$(npm bin):$PATH"
  },
  "author": "JOJO",
  "license": "MIT",
  "dependencies": {
    "phaser": "^3.21.0",
    "socket.io-client": "^2.3.0",
    "cordova-android": "^8.1.0",
    "cordova-browser": "^6.0.0",
    "cordova-windows": "^7.0.1"
  },
  "devDependencies": {
    "@babel/cli": "7.6.2",
    "@babel/core": "^7.9.0",
    "@babel/plugin-proposal-object-rest-spread": "^7.9.0",
    "@babel/polyfill": "7.6.0",
    "@babel/preset-env": "7.6.2",
    "@babel/register": "^7.9.0",
    "are-you-es5": "^1.3.3",
    "babel-loader": "8.0.6",
    "browser-sync": "2.26.7",
    "browser-sync-webpack-plugin": "2.2.2",
    "chai": "4.2.0",
    "chalk": "2.4.2",
    "clean-webpack-plugin": "3.0.0",
    "copy-webpack-plugin": "^5.1.1",
    "cordova": "^9.0.0",
    "cordova-plugin-whitelist": "^1.3.4",
    "dotenv": "^8.2.0",
    "eslint": "6.4.0",
    "eslint-plugin-import": "2.18.2",
    "eslint-watch": "6.0.1",
    "express": "^4.17.1",
    "file-loader": "6.0.0",
    "html-loader": "^1.0.0",
    "html-webpack-plugin": "3.2.0",
    "mocha": "^7.1.1",
    "npm-run-all": "4.1.5",
    "open": "6.4.0",
    "path": "0.12.7",
    "raw-loader": "3.1.0",
    "readline-sync": "1.4.10",
    "webpack": "^4.42.0",
    "webpack-cli": "^3.3.11",
    "webpack-dev-middleware": "3.7.2",
    "webpack-md5-hash": "0.0.6"
  },
  "cordova": {
    "plugins": {
      "cordova-plugin-whitelist": {}
    },
    "platforms": [
      "browser",
      "windows",
      "android"
    ]
  }
}
